package summa;

/**
 * <p>Title: Filter </p>
 * <p>Description: Rajapinta filttereille</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: University of Jyvskyl</p>
 * @author Miika Nurminen
 * @version 1.0 / 2004-8-24
 */

public interface Filter {
  /**
   * Ksittelee sytevirrasta tulevan rivin.
   * @param s sytevirran rivi
   * @return tulostevirtaan tulostettava rivi. Jos null, mitn ei tulosteta.
   */
  public String processLine(String s);

  /**
   * Metodia kutsutaan, kun sytevirta on lopussa.
   * @return tulostevirtaan tulostettava rivi. Jos null, mitn ei tulosteta.
   */
  public String getResult();
}