package summa;

/**
 * <p>Title: Summaaja</p>
 * <p>Description: Summaa tietovirrassa olevia numeroita</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author Miika Nurminen
 * @version 1.0 / 2004-8-24
 */

public class Summaaja implements Filter {
  private int currentSum = 0;

  public String processLine(String s) {
    try {
      int i = Integer.parseInt(s);
      currentSum += i;
    }
    catch (NumberFormatException n) {
      System.err.println(n.getMessage());
      n.printStackTrace();
    }
    return null;
  }

  public String getResult() {
    return "Summa: "+Integer.toString(currentSum);
  }
}